Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
ebuilds that do not have a ppc keyword anymore
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC
View previous topic :: View next topic  
Author Message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Tue Jan 03, 2006 11:11 pm    Post subject: ebuilds that do not have a ppc keyword anymore Reply with quote

Hi,

I have noticed, mainly thanks to the new emaint built
in portage that a few ebuilds that were stable on ppc
have disappeared leaving us with only ~ppc versions.
Or in one memorable case a few month ago with a way
outdated version (Downgrading alsa-libs from 1.0.6 to 0.9.8
anyone?). I thought there were guidelines for ebuild
mainteners so that this situation wouldn't happen again
on non x86 archs.
So here it is:
Code:
emaint --check world
Checking world for problems

'sys-fs/progsreiserfs' has no ebuilds available
'net-www/mozplugger' has no ebuilds available
'dev-tex/latex-beamer' has no ebuilds available


Finished

All those had a stable version in ppc which has been
dropped out and not replaced by a new stable version.
Code:
it019727 Work # equery l sys-fs/progsreiserfs
[ Searching for package 'progsreiserfs' in 'sys-fs' among: ]
 * installed packages
[I--] [M ] sys-fs/progsreiserfs-0.3.0.4 (0)
it019727 Work # equery l net-www/mozplugger
[ Searching for package 'mozplugger' in 'net-www' among: ]
 * installed packages
[I--] [M ] net-www/mozplugger-1.5.2 (0)
it019727 Work # equery l dev-tex/latex-beamer
[ Searching for package 'latex-beamer' in 'dev-tex' among: ]
 * installed packages
[I--] [M ] dev-tex/latex-beamer-3.00 (0)

So now the question is do I fill one bug or three?
I use reiserfs (never had a problem) so I would like a stable
version of progsreiserfs in ppc. I use mozplugger for playing
flash content through qemu (and I am not the only one).
I didn't care that much for latex-beamer so I removed it.

Francois
Back to top
View user's profile Send private message
JoseJX
Retired Dev
Retired Dev


Joined: 28 Apr 2002
Posts: 2774

PostPosted: Tue Jan 03, 2006 11:15 pm    Post subject: Reply with quote

Yes, this isn't supposed to happen, the PPC team gets mad when it does too. :p

Please file seperate bugs after you've verified that there was a stable version that was removed and not just installed with ACCEPT_KEYWORDS. You can use Gentoo's web cvs to figure this out, as well as figuring out which dev was responsible.

Thanks!
_________________
Gentoo PPC FAQ: http://www.gentoo.org/doc/en/gentoo-ppc-faq.xml
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Wed Jan 04, 2006 12:03 am    Post subject: Reply with quote

Thanks for the quick answer JoseJX.
It's been a long time since I've used "ACCEPT_KEYWORDS"
for anything. I find it dangerous has it also sometimes
updates dependancies without you knowing about it.
Anyway, anything emerged with ACCEPT_KEYWORDS will
haunt you at each "emerge -uDv world" so I would only do
it for a quick test.
I looked at the web-cvs and I think I have the hang of it,
I also look for info in the Changelog file in my local tree.
I will try to fill these bugs this afternoon.

Cheers,
Francois
Back to top
View user's profile Send private message
fb
l33t
l33t


Joined: 08 Dec 2003
Posts: 636
Location: New Zealand

PostPosted: Wed Jan 04, 2006 12:41 am    Post subject: Reply with quote

Strange it seems net-www/mozplugger has never been stable in any
versions on any arch. And I cannot find it in my package.keywords file,
could it have been removed by portage during a sync? Portage sometimes
touch /etc/portage.
That's one less bug report I guess (the other 2 were indeed ppc).
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Gentoo on PPC All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum